Arch Rebar

From FreeCAD Documentation
Jump to: navigation, search

Arch Rebar.png Arch Rebar

Menu location
Arch → Rebar
Workbenches
Arch
Default shortcut
R B
See also
Arch Structure


Description

The Rebar tool allows you to place reinforcing bars inside Arch Structure objects. Rebar objects are based on 2D profiles such as sketches or draft objects, that must be drawn on a face of a structure object. You can then adjust the configuration of the rebars, such as the number and diameter of the bars, or the offset distance between the two ends of the structural element.

Arch Rebar example.jpg

The above image shows a structural object, where two sketches are drawn, defining two bar diagrams. These two sketches are then turned into rebar objects.

Extension available

The Rebar tool has been greatly enhanced during the Google Summer of Code 2017 edition. The result of that work is a series of new presets and wizards for the most common rebar types. They are packaged under an independent module called Reinforcement, that you can install via menu Tools -> Addons Manager. Once the Reinforcement addon is installed, on next run, FreeCAD will detect it and add a series of new tools under the Rebar button in the Arch toolbar and menu. The different tools from the Reinforcement Addon are described on the Arch Workbench page.

How to use

  1. Create a structure element
  2. Switch to the Sketcher Workbench
  3. Select one face of the structural element
  4. Press the Sketcher NewSketch.png New Sketch button to start a new sketch on the selected face
  5. Draw the diagram of your bar
  6. Press the Sketcher LeaveSketch.png Leave Sketch button to finish
  7. Switch back to the Arch Workbench
  8. Select the sketch you just drew
  9. Press the Arch Rebar.png Arch Rebar button, or press R then B keys
  10. Adjust the desired properties (your rebar might not appear immediately, if some of the properties create an impossible situation, such as the bar diameter being 0, or the offset distances being bigger than the length of the structural element)

Options

  • Rebars share the common properties and behaviours of all Arch Components
  • The rounding value is expressed in times the diameter. If your bar has a diameter of 5mm, a rounding value of 3 will create rounding at angles with a radius of 15mm.
  • Default values for new rebars can be set in the Arch preferences settings.
  • If a direction vector is not specified, the direction and distance along which the bars will spread is calculated automatically from the host structural object, by taking the normal direction of the base sketch, and taking its intersection with the structural object. If you specify a direction vector, the length of that vector will also be taken into account.
  • The spacing value is calculated from the current amount of bars, and represents the distance between the axes of each bar. You must therefore subtract the bar diameter to obtain the size of the free space between bars.

Properties

  • DATAAmount: The amount of bars.
  • DATADiameter: The diameter of the bars.
  • DATADirection: The direction (and length) along which the bars must spread. If the value is (0,0,0), the direction is calculated automatically from the host structural object.
  • DATAOffset Start: The offset distance between the border of the structural object and the first bar.
  • DATAOffset End: The offset distance between the border of the structural object and the last bar.
  • DATARounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • DATASpacing: The distance between the axes of each bar.

Scripting

The Rebar tool can by used in macros and from the python console by using the following function:

makeRebar (structure,sketch,[diameter],[amount],[offset]) 
  • Adds a Reinforcing Bar object to the given structural object, using the given sketch as profile.
  • If no diameter, amount or offset value is given, the default values from the Arch preferences settings are applied.
  • Returns the new Rebar object.

Example:

import FreeCAD, Arch, Sketcher, PArt
struct = Arch.makeStructure(1,1,3)
sketch = FreeCAD.ActiveDocument.addObject('Sketcher::SketchObject','Sketch')
sketch.Support = (struct,["Face6"])
sketch.addGeometry(Part.Line(App.Vector(-0.4,0.4,0),App.Vector(0.4,0.4,0)))
Arch.makeRebar(structure,sketch) 
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎русский • ‎svenska • ‎українська